Bug 383281 - Review Request: b43legacy-firmware - V3 firmware for Broadcom wireless devices
Review Request: b43legacy-firmware - V3 firmware for Broadcom wireless devices
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-Legal
  Show dependency treegraph
 
Reported: 2007-11-14 14:58 EST by John W. Linville
Modified: 2014-03-16 23:11 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-19 08:50:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John W. Linville 2007-11-14 14:58:45 EST
Spec URL: http://www.tuxdriver.com/download/b43legacy-firmware.spec
SRPM URL: http://www.tuxdriver.com/download/b43legacy-firmware-295.14-3.src.rpm
Description:

This package contains the V3 firmware required to use the b43legacy
driver with most wireless cores from Broadcom.
Comment 1 John W. Linville 2007-11-14 15:15:34 EST
Please use these links (once the big stuff gets uploaded):

http://linville.fedorapeople.org/b43legacy-firmware.spec
http://linville.fedorapeople.org/b43legacy-firmware-295.14-3.src.rpm
Comment 2 Bill Nottingham 2007-11-14 16:36:54 EST
MUST:
 - Package meets naming and packaging guidelines - OK
 - Spec file matches base package name. - OK
 - Spec has consistent macro usage. - OK
 - Meets Packaging Guidelines. - ***

*** The 'version' used is odd, and I don't see where it's coming from.

 - License - ***

*** If FE-Legal is OK, I suppose it's OK. We're sort of inferring the terms, though.

 - License field in spec matches - OK
 - License file included in package - OK
 - Spec in American English - OK
 - Spec is legible. - OK
 - Sources match upstream md5sum: ***

*** Link in spec file does not work.

 - Package needs ExcludeArch - ***

*** Might need Exclude/ExclusiveArch to match where driver is built. Is this
built on all arches?

 - BuildRequires correct - OK
 - Spec handles locales/find_lang - N/A
 - Package has %defattr and permissions on files is good. - OK
 - Package has a correct %clean section. - OK
 - Package has correct buildroot - OK
 - Package is code or permissible content. - OK
 - Doc subpackage needed/used.  - N/A
 - Packages %doc files don't affect runtime.  - OK
 - Package compiles and builds on at least one arch. - OK (noarch)
 - Package has no duplicate files in %files. - OK
 - Package doesn't own any directories other packages own.- OK
 - Package owns all the directories it creates.  - OK
 - No rpmlint output. - OK
 - final provides and requires are sane:

SHOULD Items:

 - Should build in mock. - OK (tested i386)
 - Should build on all supported archs - OK (noarch)
 - Should function as described. - didn't test, no hardware
 - Should have sane scriptlets. - N/A
 - Should have dist tag - N/A
 - Should package latest version - ... what is latest?

Comment 3 John W. Linville 2007-11-14 16:59:01 EST
The firmware version is reported by b43legacy when the driver loads it.

Is ExclusiveArch appropriate for a noarch package?

Re: latest -- the driver needs a specific version of the firmware.
Comment 4 Bill Nottingham 2007-11-14 17:07:46 EST
(In reply to comment #3)
> The firmware version is reported by b43legacy when the driver loads it.

OK. Any way to determine that from the outside? strings?
 
> Is ExclusiveArch appropriate for a noarch package?

We use ExcludeArch to avoid shipping firmware packages on arches where they
don't make sense. For example, iwl3945-firmware has:

# This is so that the noarch packages don't appear for these archs
ExcludeArch: ppc ppc64

> Re: latest -- the driver needs a specific version of the firmware.

OK.

Note You need to log in before you can comment on or make changes to this bug.